@echo off
set BOOT=boot
set OUT=output
set SRC=source
set TMP=tmp
set CPL=_tools

set TCC=%CPL%\turbo_c\tcc
set NASM=%CPL%\nasm\nasm
set JLOC=%CPL%\jloc\jloc
set TASM=%CPL%\tasm\tasm.exe
set MKBT=%CPL%\make_boot\mkbt

rem *** BOOT LOADER ***
echo ***NASMing BootLoader...
%NASM% -f bin %BOOT%\boot.asm -o %TMP%\boot.bin
echo Done...

echo =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

rem *** <BUILD KERNEL> ***
echo *** Building kernel...
echo -=-=-=-=-=-=-=-=-=-=-=-=-
%NASM% -f obj %SRC%\kernel\kernel_a.asm -o %TMP%\kernel_a.obj
%TCC% -c -n%TMP% -E%TASM% -Iinclude %SRC%\kernel\kernel.c 
%JLOC% %SRC%\kernel\kernel_j.conf %OUT%\files\altairs.com
echo Done...
rem *** </BUILD KERNEL> ***

echo =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

rem *** MAKE BOOT FLOPPY IMAGE ***
echo Making floppy image...
%MKBT% %TMP%\boot.bin %OUT%\AltairOS.img
echo Done...

echo =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=[EOF]=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
pause
